Debian Bug report logs - #655010
RFP: missing-manpages -- manual pages for software missing them

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sat, 7 Jan 2012 20:33:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-gcc@lists.debian.org, wnpp@debian.org:
Bug#655010; Package wnpp. (Sat, 07 Jan 2012 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-gcc@lists.debian.org, wnpp@debian.org. (Sat, 07 Jan 2012 20:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: missing-manpages -- manual pages for software missing them
Date: Sat, 7 Jan 2012 20:29:42 +0000
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: "brian m. carlson" <sandals@crustytoothpaste.net>

* Package name    : missing-manpages
  Version         : 1
  Upstream Author : brian m. carlson <sandals@crustytoothpaste.net>
* URL             : https://github.com/bk2204/missing-manpages
* License         : GPL-2/Apache-2.0/CC-BY-SA-3.0 tri-license
  Programming Lang: man
  Description     : manual pages for software missing them

missing-manpages provides free manual pages for software that does not
have them.

Note that this is the name of the source package.  Currently only manual
pages for GCC are available, but it's possible manpages for other
packages will be included at some point in the future.  This is being
packaged separately from gcc because its maintainer is not interested in
including manpages in the gcc-4.6 package.  The exact name for the
binary package containing the gcc manpages is yet to be determined
pending feedback from debian-gcc (CC'd).

The description for the binary package is as follows:

documentation for the GNU Compiler Collection

This package contains manual pages for the GNU Compiler Collection.  The
upstream manual pages cannot be included in main for license reasons, so
these (incomplete) manual pages have been written from scratch to
replace them.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug#655010; Package wnpp. (Sat, 07 Jan 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>. (Sat, 07 Jan 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 655010@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 655010@bugs.debian.org
Subject: Re: Bug#655010: ITP: missing-manpages -- manual pages for software missing them
Date: Sat, 7 Jan 2012 21:39:12 +0100
Hi, 

i would prefer wishlist bugs on the packages that miss manpages, to get them
applied on those packages.

Thx

> packages will be included at some point in the future.  This is being
> packaged separately from gcc because its maintainer is not interested in
> including manpages in the gcc-4.6 package.  The exact name for the
> binary package containing the gcc manpages is yet to be determined
> pending feedback from debian-gcc (CC'd).

Upstream or Debian package maintainer?

-- 
 Martin Zobel-Helas <zobel@debian.org>  | Debian System Administrator
 Debian & GNU/Linux Developer           |           Debian Listmaster
 GPG key http://go.debian.net/B11B627B  | 
 GPG Fingerprint:  6B18 5642 8E41 EC89 3D5D  BDBB 53B1 AC6D B11B 627B 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655010; Package wnpp. (Sat, 07 Jan 2012 20:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Jan 2012 20:57:07 GMT) Full text and rfc822 format available.

Message #15 received at 655010@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Martin Zobel-Helas <zobel@debian.org>, 655010@bugs.debian.org
Subject: Re: Bug#655010: ITP: missing-manpages -- manual pages for software missing them
Date: Sat, 7 Jan 2012 20:55:37 +0000
[Message part 1 (text/plain, inline)]
On Sat, Jan 07, 2012 at 09:39:12PM +0100, Martin Zobel-Helas wrote:
> i would prefer wishlist bugs on the packages that miss manpages, to get them
> applied on those packages.

Already filed and marked wontfix by Matthias Klose: #654931.  His
objection was that the non-free manpages from upstream would have to be
diverted.  If you and he want to fight it out, be my guest; just let me
know what you decide.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug#655010; Package wnpp. (Sat, 07 Jan 2012 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>. (Sat, 07 Jan 2012 22:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 655010@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 655010@bugs.debian.org
Subject: Re: ITP: missing-manpages -- manual pages for software missing them
Date: Sat, 7 Jan 2012 16:08:23 -0600
Hi Brian,

brian m. carlson wrote:

> missing-manpages provides free manual pages for software that does not
> have them.

Sounds useful, and like something other distros could take advantage
of, too.  The man-pages project already includes pages for a few GNU
programs.  Have you looked into submitting these there?  (I'm not sure
if it would be accepted since gcc already has an upstream manpage, but
it seems worth a try.)

Thanks for your work,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655010; Package wnpp. (Sat, 07 Jan 2012 22:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Jan 2012 22:39:07 GMT) Full text and rfc822 format available.

Message #25 received at 655010@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 655010@bugs.debian.org
Subject: Re: Bug#655010: ITP: missing-manpages -- manual pages for software missing them
Date: Sat, 7 Jan 2012 22:34:48 +0000
[Message part 1 (text/plain, inline)]
On Sat, Jan 07, 2012 at 04:08:23PM -0600, Jonathan Nieder wrote:
> brian m. carlson wrote:
> 
> > missing-manpages provides free manual pages for software that does not
> > have them.
> 
> Sounds useful, and like something other distros could take advantage
> of, too.  The man-pages project already includes pages for a few GNU
> programs.  Have you looked into submitting these there?  (I'm not sure
> if it would be accepted since gcc already has an upstream manpage, but
> it seems worth a try.)

I can ask.  Two things, though.  One, these manual pages are totally
incomplete.  There's no way that they're going to be finished anytime
soon, simply because of the number of options, and also because I don't
have access to the -v --help output for every architecture, only i386,
amd64, and sparc (and maybe powerpc).  The other thing is that the gcc
manual pages must be shipped in a separate package because Matthias
Klose wants to be able to depend on gcc-manpages | gcc-4.6-doc (or
whatever the two packages are called).

I just called the upstream project that because I needed a name and
because I figured it was better to be more generic and anticipate that I
might write other man pages.  Right now there are only man pages for gcc
and friends.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug#655010; Package wnpp. (Sat, 07 Jan 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>. (Sat, 07 Jan 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 655010@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 655010@bugs.debian.org
Subject: Re: ITP: missing-manpages -- manual pages for software missing them
Date: Sat, 7 Jan 2012 17:56:15 -0600
brian m. carlson wrote:

> There's no way that they're going to be finished anytime
> soon, simply because of the number of options, and also because I don't
> have access to the -v --help output for every architecture, only i386,
> amd64, and sparc (and maybe powerpc).

Well, one has to start somewhere. :)  If documenting every option is
a goal, the gcc source might be a useful reference:

 git://gcc.gnu.org/git/gcc.git

Though I'm not sure documenting every option is important.

I'll be happy to use your manpages and send patches when they fail me.

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug#655010; Package wnpp. (Mon, 27 May 2013 13:43:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>. (Mon, 27 May 2013 13:43:49 GMT) Full text and rfc822 format available.

Message #35 received at 655010@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 655010@bugs.debian.org
Cc: control@bugs.debian.org
Subject: missing-manpages: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:13 +0200
retitle 655010 RFP: missing-manpages -- manual pages for software missing them
noowner 655010
tag 655010 - pending
thanks

Hi,

This is an automatic email to change the status of missing-manpages back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting missing-manpages, please send a mail to
<control@bugs.debian.org> with:

 retitle 655010 ITP: missing-manpages -- manual pages for software missing them
 owner 655010 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <655010@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: missing-manpages -- manual pages for software missing them' from 'ITP: missing-manpages -- manual pages for software missing them' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:08:34 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "brian m. carlson" <sandals@crustytoothpaste.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:08:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:39:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.